commit 1ed8edc2f47a73865c6a7656ed22b1f5c62e5528
Author: freddy77 <freddy77>
Date:   Wed Jan 27 12:16:09 2010 +0000

    set correctly server_host_name from odbc

diff --git a/ChangeLog b/ChangeLog
index 0bfd60c..cf78d98 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Jan 27 13:14:46 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/odbc/connectparams.c src/tds/config.c:
+	- set correctly server_host_name from odbc
+
 Wed Jan 27 09:29:57 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/tds/sspi.c:
 	- add support for user/password using SSPI
@@ -2215,4 +2219,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2962 2010/01/27 08:31:26 freddy77 Exp $
+$Id: ChangeLog,v 1.2963 2010/01/27 12:16:09 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index b5caccb..f65ef17 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -21,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.328 2010/01/26 11:21:10 freddy77 Exp $ */
+/* $Id: tds.h,v 1.329 2010/01/27 12:16:09 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1414,7 +1414,7 @@ void tds_parse_conf_section(const char *option, const char *value, void *param);
 TDSCONNECTION *tds_read_config_info(TDSSOCKET * tds, TDSLOGIN * login, TDSLOCALE * locale);
 void tds_fix_connection(TDSCONNECTION * connection);
 TDS_USMALLINT tds_config_verstr(const char *tdsver, TDSCONNECTION * connection);
-void tds_lookup_host(const char *servername, char *ip);
+int tds_lookup_host(const char *servername, char *ip);
 int tds_set_interfaces_file_loc(const char *interfloc);
 extern const char STD_DATETIME_FMT[];
 
diff --git a/src/odbc/connectparams.c b/src/odbc/connectparams.c
index 333ed1d..953eaa8 100644
--- a/src/odbc/connectparams.c
+++ b/src/odbc/connectparams.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005  Brian Bruns
- * Copyright (C) 2005-2008  Frediano Ziglio
+ * Copyright (C) 2005-2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: connectparams.c,v 1.82 2010/01/10 14:43:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: connectparams.c,v 1.83 2010/01/27 12:16:09 freddy77 Exp $");
 
 static const char odbc_param_Servername[] = "Servername";
 static const char odbc_param_Address[] = "Address";
@@ -124,7 +124,9 @@ parse_server(TDS_ERRS *errs, char *server, TDSCONNECTION * connection)
 		*p = 0;
 	}
 
-	tds_lookup_host(server, ip);
+	if (tds_lookup_host(server, ip) == TDS_SUCCEED)
+		tds_dstr_copy(&connection->server_host_name, server);
+
 	if (!tds_dstr_copy(&connection->ip_addr, ip)) {
 		odbc_errs_add(errs, "HY001", NULL);
 		return 0;
diff --git a/src/tds/config.c b/src/tds/config.c
index f216db2..19979fe 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.155 2010/01/21 13:41:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.156 2010/01/27 12:16:09 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -771,7 +771,7 @@ tds_set_interfaces_file_loc(const char *interf)
  * string.
  */
 /* TODO callers seem to set always connection info... change it */
-void
+int
 tds_lookup_host(const char *servername,	/* (I) name of the server                  */
 		char *ip	/* (O) dotted-decimal ip address of server */
 	)
@@ -792,7 +792,7 @@ tds_lookup_host(const char *servername,	/* (I) name of the server
 	ip_addr = inet_addr(servername);
 	if (ip_addr != INADDR_NONE) {
 		tds_strlcpy(ip, servername, 17);
-		return;
+		return TDS_SUCCEED;
 	}
 
 	host = tds_gethostbyname_r(servername, &result, buffer, sizeof(buffer), &h_errnop);
@@ -802,7 +802,9 @@ tds_lookup_host(const char *servername,	/* (I) name of the server
 		struct in_addr *ptr = (struct in_addr *) host->h_addr;
 
 		tds_inet_ntoa_r(*ptr, ip, 17);
+		return TDS_SUCCEED;
 	}
+	return TDS_FAIL;
 }
 
 /**

